var news_content;
var maxWidth;
//是否确认播放视频的标志位
var is_confirm_video_play = 0;
// 页面边距
var content_padding = 12;

function resizeImage(image) {
    maxWidth = document.body.clientWidth - content_padding*2;
    if (image.clientWidth > maxWidth) {
        var width_old = image.clientWidth;
        var height_old = image.clientHeight;
        image.style['width'] = maxWidth + 'px';
        image.style['height'] = height_old * maxWidth / width_old + 'px';
    }
}

function resizeVideoThumb(image) {
    maxWidth = document.body.clientWidth - content_padding*2;
    var width_old = image.clientWidth;
    var height_old = image.clientHeight;
    var height_new = height_old * maxWidth / width_old;

    image.style['width'] = maxWidth + 'px';
    image.style['height'] = height_new + 'px';
    document.getElementById("news_video").style['height'] = height_new + 'px';
}

function resizeVideoCover(image) {
    maxWidth = document.body.clientWidth - content_padding*2;
    var image_thumb = document.getElementById("img_video_thumb");
    image.style['left'] = (maxWidth - 66) / 2 + 'px';
    image.style['top'] = (image_thumb.clientHeight - 66) / 2 + 'px';
}

function showSmallSize() {
    news_content.style.fontSize = "16px";
    news_content.style.lineHeight = "150%";
}

function showMidSize() {
    news_content.style.fontSize = "18px";
    news_content.style.lineHeight = "150%";
}

function showBigSize() {
    news_content.style.fontSize = "20px";
    news_content.style.lineHeight = "160%";
}

function showSupperBigSize() {
    news_content.style.fontSize = "22px";
    news_content.style.lineHeight = "160%";
}

function showHugeBigSize() {
    news_content.style.fontSize = "24px";
    news_content.style.lineHeight = "160%";
}

function setTextSize() {
    var text_size = window.newslistener.getTextSize();
    switch (text_size) {
    case 1:
        showSmallSize();
        break;
    case 2:
        showMidSize();
        break;
    case 3:
        showBigSize();
        break;
    case 4:
        showSupperBigSize();
        break;
    case 5:
        showHugeBigSize();
        break;
    }
}

function openImage(imageSrc) {
    window.newslistener.openImage(imageSrc);
}
function openVideo(url) {
    window.newslistener.openVideo(url);
}
function openMessageInApp(id,from) {
    window.newslistener.openMessageInApp(id,from);
}
function openInMrWeb(url) {
    window.newslistener.openInMrWeb(url);
}
function doQa() {
    window.newslistener.goQa();
}
function doSupport() {
    window.newslistener.goSupport();
}

function afterSupport() {
    var cnt = parseInt(document.getElementById("span_support_cnt").innerHTML);
    document.getElementById("span_support_cnt").innerHTML = cnt + 1;
    document.getElementById("a_support").style.backgroundImage = "url(file:///android_asset/mr/res/images/good2.png)";
}

function goAccountCenter() {
    window.newslistener.goAccountCenter();
}
//来争鸣选择选择提交
function doDebateVote(choose) {
    window.newslistener.doDebateVote(choose);
}
//来争鸣选择选择提交后页面相关内容重置
function afterDebateVote(perc_left, perc_right) {
    document.getElementById("div_vote_perc_left").innerHTML = perc_left + "%";
    document.getElementById("div_vote_perc_right").innerHTML = perc_right + "%";
    document.getElementById("div_debate_bg").style.width = perc_left + "%";
}

//线下拜访选择内容初始化
function initVisitChoose(msg, choose,is_top,visit_msg_detail) {
    if (msg != '') {
        if(is_top == 0) {
            //位于底部
            document.getElementById("visit_msg").innerHTML = msg;
            if (choose == 'Y') {
                document.getElementById("visit_choose_1").checked = true;
            } else if (choose == 'N') {
                document.getElementById("visit_choose_0").checked = true;
            }

            $('#more_serve').removeClass('hide');
        } else {
            //位于顶部
            $('#visit_msg_top').html(msg);

            if (choose == 'Y') {
                document.getElementById("visit_choose_top_1").checked = true;
            } else if (choose == 'N') {
                document.getElementById("visit_choose_top_0").checked = true;
            }

            $('#more_serve_top').removeClass('hide');
        }

        if(visit_msg_detail != '') {
            //有详细说明
            $('.more_serve_txt_block').html(visit_msg_detail);
            $('.more_serve_btn_block').removeClass('hide');

            $('.more_serve_btn').click(function() {
                $('.more_serve_txt_block').toggle();
                $('.more_serve_btn').toggleClass('more_serve_down');
            });
        }
    }
}
//线下拜访选择提交
function doCommitVisitChoose(choose) {
    window.newslistener.doCommitVisitChoose(choose);
}

//html5 video 播放
function playVideo() {
    is_confirm_video_play = 1;
    var video_1 = document.getElementById("video_1");
    video_1.play();
    window.newslistener.setHtml5VideoState('playing');
}
//html5 video 暂停
function pauseVideo() {
    var video_1 = document.getElementById("video_1");
    video_1.pause();
}
//设定相关动态
function setLinkInfo(has_link_info) {
    if(has_link_info==1) {
        $('#div_link_info').removeClass('hide');
    } else {
        $('#div_link_info').addClass('hide');
    }
}
// 设定推荐访问html
function setRecommendVisit(str_html){
    if(str_html.length==0) {
        $('#div_recommend_visit').addClass('hide');
    } else {
        $('.swiper-wrapper').html(str_html);

        var imgLength  = $('.article_box').length;
        if(imgLength == 1) {
            	var swiper = new Swiper('.swiper-container', {
            		onlyExternal : true,
            	});
            	$('.article_box').css("width","80%").css("margin","0 auto");
        } else {
            	var swiper = new Swiper('.swiper-container', {
            		effect: 'coverflow',
            		grabCursor: true,
            		centeredSlides: true,
            		initialSlide :1,
            		slidesPerView: 'auto',
            		coverflow: {
            			rotate: 50,
            			stretch: 0,
            			depth: 100,
            			modifier: 1,
            			slideShadows : true
            		}
            	});
        }
    }
}
// 设定人气推荐html
function setRecommendHot(str_html){
    if(str_html.length==0) {
        $('#div_recommend_hot').addClass('hide');
    } else {
        $('#div_recommend_hot_list').html(str_html);
    }
}
//设定上一篇下一篇
function setPageTurn(pre_id, pre_from, next_id, next_from) {
    if(pre_id == 0 && next_id == 0) {
        // 没有上一篇下一篇
         $('.page_turn_box')[0].style.display = 'none';
    } else {
        $('.page_turn_box')[0].style.display = 'block';
        if(pre_id == 0) {
            $('.turn_previous')[0].style.display = 'none';
        } else {
            var href = "javascript:openMessageInApp(" + pre_id + ",'" + pre_from + "')";
            $('.turn_previous').attr('href',href);
        }

        if(next_id == 0) {
            $('.turn_next')[0].style.display = 'none';
        } else {
            var href = "javascript:openMessageInApp(" + next_id + ",'" + next_from + "')";
            $('.turn_next').attr('href',href);
        }

        $('.page_turn_box').animate({"right":"0"},2000).delay(2000).animate({"right":"-100%"},2000);
        document.addEventListener("touchstart", function(){
               clearInterval(window.PreAndNexBoxInt);
                $('.page_turn_box').animate({"right":"0"},500);
                window.PreAndNexBoxInt = setInterval(function (){hideTurn()}, 4000);
               }, false);
        function hideTurn() {
           $('.page_turn_box').animate({"right":"-100%"},"slow");
        };
        window.PreAndNexBoxInt = setInterval(function (){hideTurn()}, 4000);
    }
}
//统计保利威视视频观看时长
function statPolyvTime(){
    if(player != undefined && player.j2s_getCurrentTime != undefined){
	    setInterval(function() {
    		var currentTime=player.j2s_getCurrentTime();
    		window.newslistener.setHtml5VideoTime(currentTime);
	    },500);
	}
}

function init() {
    news_content = document.getElementById("news_content");
    setTextSize();
    //video 添加监听事件
    var video = document.getElementById("video_1");
    if (video != null) {
        video.addEventListener('play', function () {
            if(is_confirm_video_play == 0) {
                //等待确认播放视频
                video_1.pause();
            }

            window.newslistener.setHtml5VideoState('play');
        }, true);
        video.addEventListener('playing', function () {
            window.newslistener.setHtml5VideoState('playing');
        }, true);
        video.addEventListener('ended', function () {
            window.newslistener.setHtml5VideoState('ended');
        }, true);
        video.addEventListener('webkitfullscreenchange', function () {
            window.newslistener.setHtml5VideoState('webkitfullscreenchange');
        }, true);
        video.addEventListener('fullscreenchange', function () {
            window.newslistener.setHtml5VideoState('fullscreenchange');
        }, true);
        video.addEventListener('webkitbeginfullscreen', function () {
            window.newslistener.setHtml5VideoState('webkitbeginfullscreen');
        }, true);
        video.addEventListener('webkitendfullscreen', function () {
            window.newslistener.setHtml5VideoState('webkitendfullscreen');
        }, true);
        video.addEventListener('timeupdate', function () {
            window.newslistener.setHtml5VideoTime(video.currentTime);
        }, true);
    }

    document.addEventListener('play', function(e){
        var videos = document.getElementsByTagName('video');
        for(var i = 0, len = videos.length; i < len; i++){
            if(videos[i] != e.target){
                videos[i].pause();
            }
        }
    }, true);

}

$(document).ready(function () {
    init();
});